---
lang: en
title: 'API docs: context.binding.inspect'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.binding.inspect.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Binding](./context.binding.md) &gt; [inspect](./context.binding.inspect.md)

## Binding.inspect() method

Inspect the binding to return a json representation of the binding information

<b>Signature:</b>

```typescript
inspect(options?: BindingInspectOptions): JSONObject;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | [BindingInspectOptions](./context.bindinginspectoptions.md) | Options to control what information should be included |

<b>Returns:</b>

[JSONObject](./context.jsonobject.md)


